package
{	
	import flash.display.*;
	import flash.events.*;
	import flash.xml.*;
	import flash.net.*;
	
	public class XMLParser extends MovieClip
	{
		public var ldr:URLLoader;
		private static var _xml:XML;
		private static var _xmlList:XMLList;
		protected static var disp:EventDispatcher;

		public static function remote(file:String):XMLParser {
			return new XMLParser(file);
		}

		public function XMLParser(file:String)
		{
			disp = new EventDispatcher();
			ldr = new URLLoader();
			ldr.load(new URLRequest(file));
			ldr.addEventListener(Event.COMPLETE, dataLoaded);
		}

		public static function addEventListener(p_type:String, p_listener:Function, p_useCapture:Boolean=false, p_priority:int=0, p_useWeakReference:Boolean=false):void {
   			if (disp == null) { disp = new EventDispatcher(); }
   			disp.addEventListener(p_type, p_listener, p_useCapture, p_priority, p_useWeakReference);
   		}

		private function dataLoaded(event:Event):void{
			_xml = XML(event.target.data);
			_xmlList = _xml.children();
			disp.dispatchEvent(new Event(Event.COMPLETE));
		}
		
		public static function get xml():*{
			return _xml;
		}

		public static function get xmlList():*{
			return _xmlList;
		}

	}
}